from django.conf import settings
from django.conf.urls.defaults import *
from django.contrib import admin
from django.contrib.auth.views import logout

import gargoyle
import preflight

from identityprovider.decorators import check_readonly

admin.autodiscover()
gargoyle.autodiscover()
preflight.autodiscover()

handler500 = 'identityprovider.views.errors.server_error'
handler404 = 'identityprovider.views.errors.page_not_found'

urlpatterns = patterns('',
    #(r'^admin/', check_readonly(admin.site.urls)),
    (r'^admin/', include(admin.site.urls)),
    (r'^preflight/', include('preflight.urls')),
    (r'^', include('identityprovider.urls')),

    # OpenID views
    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout/$', logout, {'next_page': '/'}),
)

if 'saml2idp' in settings.INSTALLED_APPS:
    urlpatterns += patterns('saml2idp.views',
        # SAML 2.0 views
        url(r'^\+saml$', 'login_begin', name='login_begin'),
        url(r'^\+saml/process$', 'login_process', name='login_process'),
    )

if settings.SERVE_STATIC_MEDIA:
    urlpatterns += patterns('',
        (r'assets/identityprovider/(.*)', 'django.views.static.serve',
            {'document_root': settings.SSO_MEDIA_ROOT}),
        (r'media/(.*)', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
)
