# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from django.conf import settings
from django.utils.translation import ugettext_lazy as _


class Launchpad(object):
    template_dir = 'launchpad'
    name = _('Launchpad Login Service')
    provides_access = _('A Launchpad Login Service account is free and gives '
                     'you access to Ubuntu One, the Ubuntu Shop '
                     'and many more useful services.')
    create_account = _('Create a Launchpad Login Service account')
    server_info = _('This is the Launchpad login service, built on OpenID. '
                    'The service enables you to use your Launchpad account '
                    'to log into OpenID-enabled sites around the Internet.')
    unknown_rp = _('You have used your Single Sign On ID to access a site '
                   'which is <em>not</em> recognised by Launchpad Login '
                   'Service:')
    complete_reg = _('Complete your Launchpad Login Service registration')
    reset_password = _('Reset your Launchpad Login Service password')
    not_found_error = _('There\'s no page with this address in the Launchpad '
                        'Login Service. Check that you entered the address '
                        'correctly and try again.')
    oops_error = _('Sorry, something just went wrong in Launchpad Login '
                   'Service.')
    logout = _('You are now logged out of the Launchpad Login Service '
               'website. However, you have not been automatically logged '
               'out of every website that uses this website.')


class Ubuntu(object):
    template_dir = 'ubuntu'
    name = _('Ubuntu Single Sign On')
    provides_access = _('An Ubuntu Single Sign On account is free and gives '
                     'you access to Ubuntu One, the Ubuntu Shop '
                     'and many more useful services.')
    create_account = _('Create an Ubuntu Single Sign On account')
    server_info = _('This is the Ubuntu SSO service, built on OpenID. The '
                    'service enables you to use your Ubuntu SSO account to '
                    'log into various sites run by Canonical and Ubuntu.')
    unknown_rp = _('You have used your Single Sign On ID to access a site '
                   'which is <em>not</em> recognised by Ubuntu Single Sign '
                   'On:')
    complete_reg = _('Complete your Ubuntu Single Sign On registration')
    reset_password = _('Reset your Ubuntu Single Sign On password')
    not_found_error = _('There\'s no page with this address in the Ubuntu '
                        'Single Sign On service. Check that you entered the '
                        'address correctly and try again.')
    oops_error = _('Sorry, something just went wrong in Ubuntu Single Sign '
                   'On.')
    logout = _('You are now logged out of the Ubuntu Single Sign On (SSO) '
               'website. However, you have not been automatically logged '
               'out of every website that uses this SSO website.')

current_brand = globals()[settings.BRAND]()
