/*
Copyright (c) 2010, Yahoo! Inc. All rights reserved.
Code licensed under the BSD License:
http://developer.yahoo.com/yui/license.html
version: 3.3.0
build: 3167
*/
YUI.add('loader-yui3', function(Y) {

/* This file is auto-generated by src/loader/meta_join.py */

/**
 * YUI 3 module metadata
 * @module loader
 * @submodule yui3
 */
YUI.Env[Y.version].modules = YUI.Env[Y.version].modules || {
    "anim": {
        "submodules": {
            "anim-base": {
                "requires": [
                    "base-base", 
                    "node-style"
                ]
            }, 
            "anim-color": {
                "requires": [
                    "anim-base"
                ]
            }, 
            "anim-curve": {
                "requires": [
                    "anim-xy"
                ]
            }, 
            "anim-easing": {
                "requires": [
                    "anim-base"
                ]
            }, 
            "anim-node-plugin": {
                "requires": [
                    "node-pluginhost", 
                    "anim-base"
                ]
            }, 
            "anim-scroll": {
                "requires": [
                    "anim-base"
                ]
            }, 
            "anim-xy": {
                "requires": [
                    "anim-base", 
                    "node-screen"
                ]
            }
        }
    }, 
    "arraysort": {
        "requires": [
            "yui-base"
        ]
    }, 
    "async-queue": {
        "requires": [
            "event-custom"
        ]
    }, 
    "attribute": {
        "submodules": {
            "attribute-base": {
                "requires": [
                    "event-custom"
                ]
            }, 
            "attribute-complex": {
                "requires": [
                    "attribute-base"
                ]
            }
        }
    }, 
    "autocomplete": {
        "submodules": {
            "autocomplete-base": {
                "optional": [
                    "autocomplete-sources"
                ], 
                "plugins": {
                    "autocomplete-filters": {
                        "path": "autocomplete/autocomplete-filters-min.js", 
                        "requires": [
                            "array-extras", 
                            "text-wordbreak"
                        ]
                    }, 
                    "autocomplete-filters-accentfold": {
                        "path": "autocomplete/autocomplete-filters-accentfold-min.js", 
                        "requires": [
                            "array-extras", 
                            "text-accentfold", 
                            "text-wordbreak"
                        ]
                    }, 
                    "autocomplete-highlighters": {
                        "path": "autocomplete/autocomplete-highlighters-min.js", 
                        "requires": [
                            "array-extras", 
                            "highlight-base"
                        ]
                    }, 
                    "autocomplete-highlighters-accentfold": {
                        "path": "autocomplete/autocomplete-highlighters-accentfold-min.js", 
                        "requires": [
                            "array-extras", 
                            "highlight-accentfold"
                        ]
                    }
                }, 
                "requires": [
                    "array-extras", 
                    "base-build", 
                    "escape", 
                    "event-valuechange", 
                    "node-base"
                ]
            }, 
            "autocomplete-list": {
                "after": "autocomplete-sources", 
                "lang": [
                    "en"
                ], 
                "plugins": {
                    "autocomplete-list-keys": {
                        "condition": {
                            "test": function (Y) {
    // Only add keyboard support to autocomplete-list if this doesn't appear to
    // be an iOS or Android-based mobile device.
    //
    // There's currently no feasible way to actually detect whether a device has
    // a hardware keyboard, so this sniff will have to do. It can easily be
    // overridden by manually loading the autocomplete-list-keys module.
    //
    // Worth noting: even though iOS supports bluetooth keyboards, Mobile Safari
    // doesn't fire the keyboard events used by AutoCompleteList, so there's
    // no point loading the -keys module even when a bluetooth keyboard may be
    // available.
    return !(Y.UA.ios || Y.UA.android);
}, 
                            "trigger": "autocomplete-list"
                        }, 
                        "path": "autocomplete/autocomplete-list-keys-min.js", 
                        "requires": [
                            "autocomplete-list", 
                            "base-build"
                        ]
                    }, 
                    "autocomplete-plugin": {
                        "path": "autocomplete/autocomplete-plugin-min.js", 
                        "requires": [
                            "autocomplete-list", 
                            "node-pluginhost"
                        ]
                    }
                }, 
                "requires": [
                    "autocomplete-base", 
                    "selector-css3", 
                    "widget", 
                    "widget-position", 
                    "widget-position-align", 
                    "widget-stack"
                ], 
                "skinnable": true
            }, 
            "autocomplete-sources": {
                "optional": [
                    "io-base", 
                    "json-parse", 
                    "jsonp", 
                    "yql"
                ], 
                "requires": [
                    "autocomplete-base"
                ]
            }
        }
    }, 
    "base": {
        "submodules": {
            "base-base": {
                "after": [
                    "attribute-complex"
                ], 
                "requires": [
                    "attribute-base"
                ]
            }, 
            "base-build": {
                "requires": [
                    "base-base"
                ]
            }, 
            "base-pluginhost": {
                "requires": [
                    "base-base", 
                    "pluginhost"
                ]
            }
        }
    }, 
    "cache": {
        "submodules": {
            "cache-base": {
                "requires": [
                    "base"
                ]
            }, 
            "cache-offline": {
                "requires": [
                    "cache-base", 
                    "json"
                ]
            }, 
            "cache-plugin": {
                "requires": [
                    "plugin", 
                    "cache-base"
                ]
            }
        }
    }, 
    "charts": {
        "requires": [
            "dom", 
            "datatype", 
            "event-custom", 
            "event-mouseenter", 
            "widget", 
            "widget-position", 
            "widget-stack"
        ]
    }, 
    "classnamemanager": {
        "requires": [
            "yui-base"
        ]
    }, 
    "collection": {
        "submodules": {
            "array-extras": {}, 
            "array-invoke": {}, 
            "arraylist": {}, 
            "arraylist-add": {
                "requires": [
                    "arraylist"
                ]
            }, 
            "arraylist-filter": {
                "requires": [
                    "arraylist"
                ]
            }
        }
    }, 
    "compat": {
        "requires": [
            "event-base", 
            "dom", 
            "dump", 
            "substitute"
        ]
    }, 
    "console": {
        "lang": [
            "en", 
            "es"
        ], 
        "plugins": {
            "console-filters": {
                "requires": [
                    "plugin", 
                    "console"
                ], 
                "skinnable": true
            }
        }, 
        "requires": [
            "yui-log", 
            "widget", 
            "substitute"
        ], 
        "skinnable": true
    }, 
    "cookie": {
        "requires": [
            "yui-base"
        ]
    }, 
    "cssbase": {
        "after": [
            "cssreset", 
            "cssfonts", 
            "cssgrids", 
            "cssreset-context", 
            "cssfonts-context", 
            "cssgrids-context"
        ], 
        "path": "cssbase/base-min.css", 
        "type": "css"
    }, 
    "cssbase-context": {
        "after": [
            "cssreset", 
            "cssfonts", 
            "cssgrids", 
            "cssreset-context", 
            "cssfonts-context", 
            "cssgrids-context"
        ], 
        "path": "cssbase/base-context-min.css", 
        "type": "css"
    }, 
    "cssfonts": {
        "path": "cssfonts/fonts-min.css", 
        "type": "css"
    }, 
    "cssfonts-context": {
        "path": "cssfonts/fonts-context-min.css", 
        "type": "css"
    }, 
    "cssgrids": {
        "optional": [
            "cssreset", 
            "cssfonts"
        ], 
        "path": "cssgrids/grids-min.css", 
        "type": "css"
    }, 
    "cssgrids-context-deprecated": {
        "optional": [
            "cssreset-context"
        ], 
        "path": "cssgrids-deprecated/grids-context-min.css", 
        "requires": [
            "cssfonts-context"
        ], 
        "type": "css"
    }, 
    "cssgrids-deprecated": {
        "optional": [
            "cssreset"
        ], 
        "path": "cssgrids-deprecated/grids-min.css", 
        "requires": [
            "cssfonts"
        ], 
        "type": "css"
    }, 
    "cssreset": {
        "path": "cssreset/reset-min.css", 
        "type": "css"
    }, 
    "cssreset-context": {
        "path": "cssreset/reset-context-min.css", 
        "type": "css"
    }, 
    "dataschema": {
        "submodules": {
            "dataschema-array": {
                "requires": [
                    "dataschema-base"
                ]
            }, 
            "dataschema-base": {
                "requires": [
                    "base"
                ]
            }, 
            "dataschema-json": {
                "requires": [
                    "dataschema-base", 
                    "json"
                ]
            }, 
            "dataschema-text": {
                "requires": [
                    "dataschema-base"
                ]
            }, 
            "dataschema-xml": {
                "requires": [
                    "dataschema-base"
                ]
            }
        }
    }, 
    "datasource": {
        "submodules": {
            "datasource-arrayschema": {
                "requires": [
                    "datasource-local", 
                    "plugin", 
                    "dataschema-array"
                ]
            }, 
            "datasource-cache": {
                "requires": [
                    "datasource-local", 
                    "cache-base"
                ]
            }, 
            "datasource-function": {
                "requires": [
                    "datasource-local"
                ]
            }, 
            "datasource-get": {
                "requires": [
                    "datasource-local", 
                    "get"
                ]
            }, 
            "datasource-io": {
                "requires": [
                    "datasource-local", 
                    "io-base"
                ]
            }, 
            "datasource-jsonschema": {
                "requires": [
                    "datasource-local", 
                    "plugin", 
                    "dataschema-json"
                ]
            }, 
            "datasource-local": {
                "requires": [
                    "base"
                ]
            }, 
            "datasource-polling": {
                "requires": [
                    "datasource-local"
                ]
            }, 
            "datasource-textschema": {
                "requires": [
                    "datasource-local", 
                    "plugin", 
                    "dataschema-text"
                ]
            }, 
            "datasource-xmlschema": {
                "requires": [
                    "datasource-local", 
                    "plugin", 
                    "dataschema-xml"
                ]
            }
        }
    }, 
    "datatable": {
        "submodules": {
            "datatable-base": {
                "requires": [
                    "recordset-base", 
                    "widget", 
                    "substitute", 
                    "event-mouseenter"
                ], 
                "skinnable": true
            }, 
            "datatable-datasource": {
                "requires": [
                    "datatable-base", 
                    "plugin", 
                    "datasource-local"
                ]
            }, 
            "datatable-scroll": {
                "requires": [
                    "datatable-base", 
                    "plugin", 
                    "stylesheet"
                ]
            }, 
            "datatable-sort": {
                "lang": [
                    "en"
                ], 
                "requires": [
                    "datatable-base", 
                    "plugin", 
                    "recordset-sort"
                ]
            }
        }
    }, 
    "datatype": {
        "submodules": {
            "datatype-date": {
                "lang": [
                    "ar", 
                    "ar-JO", 
                    "ca", 
                    "ca-ES", 
                    "da", 
                    "da-DK", 
                    "de", 
                    "de-AT", 
                    "de-DE", 
                    "el", 
                    "el-GR", 
                    "en", 
                    "en-AU", 
                    "en-CA", 
                    "en-GB", 
                    "en-IE", 
                    "en-IN", 
                    "en-JO", 
                    "en-MY", 
                    "en-NZ", 
                    "en-PH", 
                    "en-SG", 
                    "en-US", 
                    "es", 
                    "es-AR", 
                    "es-BO", 
                    "es-CL", 
                    "es-CO", 
                    "es-EC", 
                    "es-ES", 
                    "es-MX", 
                    "es-PE", 
                    "es-PY", 
                    "es-US", 
                    "es-UY", 
                    "es-VE", 
                    "fi", 
                    "fi-FI", 
                    "fr", 
                    "fr-BE", 
                    "fr-CA", 
                    "fr-FR", 
                    "hi", 
                    "hi-IN", 
                    "id", 
                    "id-ID", 
                    "it", 
                    "it-IT", 
                    "ja", 
                    "ja-JP", 
                    "ko", 
                    "ko-KR", 
                    "ms", 
                    "ms-MY", 
                    "nb", 
                    "nb-NO", 
                    "nl", 
                    "nl-BE", 
                    "nl-NL", 
                    "pl", 
                    "pl-PL", 
                    "pt", 
                    "pt-BR", 
                    "ro", 
                    "ro-RO", 
                    "ru", 
                    "ru-RU", 
                    "sv", 
                    "sv-SE", 
                    "th", 
                    "th-TH", 
                    "tr", 
                    "tr-TR", 
                    "vi", 
                    "vi-VN", 
                    "zh-Hans", 
                    "zh-Hans-CN", 
                    "zh-Hant", 
                    "zh-Hant-HK", 
                    "zh-Hant-TW"
                ], 
                "requires": [
                    "yui-base"
                ], 
                "supersedes": [
                    "datatype-date-format"
                ]
            }, 
            "datatype-number": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "datatype-xml": {
                "requires": [
                    "yui-base"
                ]
            }
        }
    }, 
    "datatype-date-format": {
        "path": "datatype/datatype-date-format-min.js"
    }, 
    "dd": {
        "plugins": {
            "dd-drop-plugin": {
                "requires": [
                    "dd-drop"
                ]
            }, 
            "dd-gestures": {
                "condition": {
                    "test": function(Y) {
    return (Y.config.win && ('ontouchstart' in Y.config.win && !Y.UA.chrome));
}, 
                    "trigger": "dd-drag"
                }, 
                "requires": [
                    "dd-drag", 
                    "event-move"
                ]
            }, 
            "dd-plugin": {
                "optional": [
                    "dd-constrain", 
                    "dd-proxy"
                ], 
                "requires": [
                    "dd-drag"
                ]
            }
        }, 
        "submodules": {
            "dd-constrain": {
                "requires": [
                    "dd-drag"
                ]
            }, 
            "dd-ddm": {
                "requires": [
                    "dd-ddm-base", 
                    "event-resize"
                ]
            }, 
            "dd-ddm-base": {
                "requires": [
                    "node", 
                    "base", 
                    "yui-throttle", 
                    "classnamemanager"
                ]
            }, 
            "dd-ddm-drop": {
                "requires": [
                    "dd-ddm"
                ]
            }, 
            "dd-delegate": {
                "requires": [
                    "dd-drag", 
                    "dd-drop-plugin", 
                    "event-mouseenter"
                ]
            }, 
            "dd-drag": {
                "requires": [
                    "dd-ddm-base"
                ]
            }, 
            "dd-drop": {
                "requires": [
                    "dd-ddm-drop"
                ]
            }, 
            "dd-proxy": {
                "requires": [
                    "dd-drag"
                ]
            }, 
            "dd-scroll": {
                "requires": [
                    "dd-drag"
                ]
            }
        }
    }, 
    "dial": {
        "lang": [
            "en", 
            "es"
        ], 
        "requires": [
            "widget", 
            "dd-drag", 
            "substitute", 
            "event-mouseenter", 
            "transition", 
            "intl"
        ], 
        "skinnable": true
    }, 
    "dom": {
        "plugins": {
            "dom-deprecated": {
                "requires": [
                    "dom-base"
                ]
            }, 
            "dom-style-ie": {
                "condition": {
                    "test": function (Y) {

    var testFeature = Y.Features.test,
        addFeature = Y.Features.add,
        WINDOW = Y.config.win,
        DOCUMENT = Y.config.doc,
        DOCUMENT_ELEMENT = 'documentElement',
        ret = false;

    addFeature('style', 'computedStyle', {
        test: function() {
            return WINDOW && 'getComputedStyle' in WINDOW;
        }
    });

    addFeature('style', 'opacity', {
        test: function() {
            return DOCUMENT && 'opacity' in DOCUMENT[DOCUMENT_ELEMENT].style;
        }
    });

    ret =  (!testFeature('style', 'opacity') &&
            !testFeature('style', 'computedStyle'));

    return ret;
}, 
                    "trigger": "dom-style"
                }, 
                "requires": [
                    "dom-style"
                ]
            }, 
            "selector-css3": {
                "requires": [
                    "selector-css2"
                ]
            }
        }, 
        "requires": [
            "oop"
        ], 
        "submodules": {
            "dom-base": {
                "requires": [
                    "oop"
                ]
            }, 
            "dom-screen": {
                "requires": [
                    "dom-base", 
                    "dom-style"
                ]
            }, 
            "dom-style": {
                "requires": [
                    "dom-base"
                ]
            }, 
            "selector": {
                "requires": [
                    "dom-base"
                ]
            }, 
            "selector-css2": {
                "requires": [
                    "selector-native"
                ]
            }, 
            "selector-native": {
                "requires": [
                    "dom-base"
                ]
            }
        }
    }, 
    "dump": {
        "requires": [
            "yui-base"
        ]
    }, 
    "editor": {
        "submodules": {
            "createlink-base": {
                "requires": [
                    "editor-base"
                ]
            }, 
            "editor-base": {
                "requires": [
                    "base", 
                    "frame", 
                    "node", 
                    "exec-command", 
                    "selection"
                ]
            }, 
            "editor-bidi": {
                "requires": [
                    "editor-base"
                ]
            }, 
            "editor-br": {
                "requires": [
                    "node"
                ]
            }, 
            "editor-lists": {
                "requires": [
                    "editor-base"
                ]
            }, 
            "editor-para": {
                "requires": [
                    "node"
                ]
            }, 
            "exec-command": {
                "requires": [
                    "frame"
                ]
            }, 
            "frame": {
                "requires": [
                    "base", 
                    "node", 
                    "selector-css3", 
                    "substitute"
                ]
            }, 
            "selection": {
                "requires": [
                    "node"
                ]
            }
        }
    }, 
    "escape": {}, 
    "event": {
        "after": "node-base", 
        "plugins": {
            "event-base-ie": {
                "after": [
                    "event-base"
                ], 
                "condition": {
                    "test": function(Y) {
    var imp = Y.config.doc && Y.config.doc.implementation;
    return (imp && (!imp.hasFeature('Events', '2.0')));
}, 
                    "trigger": "node-base"
                }, 
                "requires": [
                    "node-base"
                ]
            }, 
            "event-touch": {
                "requires": [
                    "node-base"
                ]
            }
        }, 
        "submodules": {
            "event-base": {
                "after": "node-base", 
                "requires": [
                    "event-custom-base"
                ]
            }, 
            "event-delegate": {
                "requires": [
                    "node-base"
                ]
            }, 
            "event-focus": {
                "requires": [
                    "event-synthetic"
                ]
            }, 
            "event-hover": {
                "requires": [
                    "event-synthetic"
                ]
            }, 
            "event-key": {
                "requires": [
                    "event-synthetic"
                ]
            }, 
            "event-mouseenter": {
                "requires": [
                    "event-synthetic"
                ]
            }, 
            "event-mousewheel": {
                "requires": [
                    "event-synthetic"
                ]
            }, 
            "event-resize": {
                "requires": [
                    "event-synthetic"
                ]
            }, 
            "event-synthetic": {
                "requires": [
                    "node-base", 
                    "event-custom-complex"
                ]
            }
        }
    }, 
    "event-custom": {
        "submodules": {
            "event-custom-base": {
                "requires": [
                    "oop"
                ]
            }, 
            "event-custom-complex": {
                "requires": [
                    "event-custom-base"
                ]
            }
        }
    }, 
    "event-gestures": {
        "submodules": {
            "event-flick": {
                "requires": [
                    "node-base", 
                    "event-touch", 
                    "event-synthetic"
                ]
            }, 
            "event-move": {
                "requires": [
                    "node-base", 
                    "event-touch", 
                    "event-synthetic"
                ]
            }
        }
    }, 
    "event-simulate": {
        "requires": [
            "event-base"
        ]
    }, 
    "event-valuechange": {
        "requires": [
            "event-focus", 
            "event-synthetic"
        ]
    }, 
    "highlight": {
        "submodules": {
            "highlight-accentfold": {
                "requires": [
                    "highlight-base", 
                    "text-accentfold"
                ]
            }, 
            "highlight-base": {
                "requires": [
                    "array-extras", 
                    "escape", 
                    "text-wordbreak"
                ]
            }
        }
    }, 
    "history": {
        "plugins": {
            "history-hash-ie": {
                "condition": {
                    "test": function (Y) {
    var docMode = Y.config.doc.documentMode;

    return Y.UA.ie && (!('onhashchange' in Y.config.win) ||
            !docMode || docMode < 8);
}, 
                    "trigger": "history-hash"
                }, 
                "requires": [
                    "history-hash", 
                    "node-base"
                ]
            }
        }, 
        "submodules": {
            "history-base": {
                "after": [
                    "history-deprecated"
                ], 
                "requires": [
                    "event-custom-complex"
                ]
            }, 
            "history-hash": {
                "after": [
                    "history-html5"
                ], 
                "requires": [
                    "event-synthetic", 
                    "history-base", 
                    "yui-later"
                ]
            }, 
            "history-html5": {
                "optional": [
                    "json"
                ], 
                "requires": [
                    "event-base", 
                    "history-base", 
                    "node-base"
                ]
            }
        }
    }, 
    "history-deprecated": {
        "requires": [
            "node"
        ]
    }, 
    "imageloader": {
        "requires": [
            "base-base", 
            "node-style", 
            "node-screen"
        ]
    }, 
    "intl": {
        "requires": [
            "intl-base", 
            "event-custom"
        ]
    }, 
    "io": {
        "submodules": {
            "io-base": {
                "optional": [
                    "querystring-stringify-simple"
                ], 
                "requires": [
                    "event-custom-base"
                ]
            }, 
            "io-form": {
                "requires": [
                    "io-base", 
                    "node-base", 
                    "node-style"
                ]
            }, 
            "io-queue": {
                "requires": [
                    "io-base", 
                    "queue-promote"
                ]
            }, 
            "io-upload-iframe": {
                "requires": [
                    "io-base", 
                    "node-base"
                ]
            }, 
            "io-xdr": {
                "requires": [
                    "io-base", 
                    "datatype-xml"
                ]
            }
        }
    }, 
    "json": {
        "submodules": {
            "json-parse": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "json-stringify": {
                "requires": [
                    "yui-base"
                ]
            }
        }
    }, 
    "jsonp": {
        "plugins": {
            "jsonp-url": {
                "requires": [
                    "jsonp"
                ]
            }
        }, 
        "requires": [
            "get", 
            "oop"
        ]
    }, 
    "loader": {
        "submodules": {
            "loader-base": {
                "requires": [
                    "get"
                ]
            }, 
            "loader-rollup": {
                "requires": [
                    "loader-base"
                ]
            }, 
            "loader-yui3": {
                "requires": [
                    "loader-base"
                ]
            }
        }
    }, 
    "node": {
        "plugins": {
            "align-plugin": {
                "requires": [
                    "node-screen", 
                    "node-pluginhost"
                ]
            }, 
            "node-deprecated": {
                "requires": [
                    "node-base"
                ]
            }, 
            "node-event-simulate": {
                "requires": [
                    "node-base", 
                    "event-simulate"
                ]
            }, 
            "node-load": {
                "requires": [
                    "node-base", 
                    "io-base"
                ]
            }, 
            "shim-plugin": {
                "requires": [
                    "node-style", 
                    "node-pluginhost"
                ]
            }, 
            "transition": {
                "requires": [
                    "transition-native", 
                    "node-style"
                ]
            }, 
            "transition-native": {
                "requires": [
                    "node-base"
                ]
            }
        }, 
        "submodules": {
            "node-base": {
                "requires": [
                    "dom-base", 
                    "selector-css2", 
                    "event-base"
                ]
            }, 
            "node-event-delegate": {
                "requires": [
                    "node-base", 
                    "event-delegate"
                ]
            }, 
            "node-pluginhost": {
                "requires": [
                    "node-base", 
                    "pluginhost"
                ]
            }, 
            "node-screen": {
                "requires": [
                    "dom-screen", 
                    "node-base"
                ]
            }, 
            "node-style": {
                "requires": [
                    "dom-style", 
                    "node-base"
                ]
            }
        }
    }, 
    "node-flick": {
        "requires": [
            "classnamemanager", 
            "transition", 
            "event-flick", 
            "plugin"
        ], 
        "skinnable": true
    }, 
    "node-focusmanager": {
        "requires": [
            "attribute", 
            "node", 
            "plugin", 
            "node-event-simulate", 
            "event-key", 
            "event-focus"
        ]
    }, 
    "node-menunav": {
        "requires": [
            "node", 
            "classnamemanager", 
            "plugin", 
            "node-focusmanager"
        ], 
        "skinnable": true
    }, 
    "oop": {
        "requires": [
            "yui-base"
        ]
    }, 
    "overlay": {
        "requires": [
            "widget", 
            "widget-stdmod", 
            "widget-position", 
            "widget-position-align", 
            "widget-stack", 
            "widget-position-constrain"
        ], 
        "skinnable": true
    }, 
    "plugin": {
        "requires": [
            "base-base"
        ]
    }, 
    "pluginhost": {
        "submodules": {
            "pluginhost-base": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "pluginhost-config": {
                "requires": [
                    "pluginhost-base"
                ]
            }
        }
    }, 
    "profiler": {
        "requires": [
            "yui-base"
        ]
    }, 
    "querystring": {
        "submodules": {
            "querystring-parse": {
                "requires": [
                    "yui-base", 
                    "array-extras"
                ]
            }, 
            "querystring-stringify": {
                "requires": [
                    "yui-base"
                ]
            }
        }
    }, 
    "querystring-parse-simple": {
        "path": "querystring/querystring-parse-simple-min.js", 
        "requires": [
            "yui-base"
        ]
    }, 
    "querystring-stringify-simple": {
        "path": "querystring/querystring-stringify-simple-min.js", 
        "requires": [
            "yui-base"
        ]
    }, 
    "queue-promote": {
        "requires": [
            "yui-base"
        ]
    }, 
    "queue-run": {
        "path": "async-queue/async-queue-min.js", 
        "requires": [
            "event-custom"
        ]
    }, 
    "recordset": {
        "submodules": {
            "recordset-base": {
                "requires": [
                    "base", 
                    "arraylist"
                ]
            }, 
            "recordset-filter": {
                "requires": [
                    "recordset-base", 
                    "array-extras", 
                    "plugin"
                ]
            }, 
            "recordset-indexer": {
                "requires": [
                    "recordset-base", 
                    "plugin"
                ]
            }, 
            "recordset-sort": {
                "requires": [
                    "arraysort", 
                    "recordset-base", 
                    "plugin"
                ]
            }
        }
    }, 
    "resize": {
        "submodules": {
            "resize-base": {
                "requires": [
                    "widget", 
                    "substitute", 
                    "event", 
                    "oop", 
                    "dd-drag", 
                    "dd-delegate", 
                    "dd-drop"
                ], 
                "skinnable": true
            }, 
            "resize-constrain": {
                "requires": [
                    "plugin", 
                    "resize-base"
                ]
            }, 
            "resize-proxy": {
                "requires": [
                    "plugin", 
                    "resize-base"
                ]
            }
        }
    }, 
    "scrollview": {
        "plugins": {
            "scrollview-base": {
                "path": "scrollview/scrollview-base-min.js", 
                "requires": [
                    "widget", 
                    "event-gestures", 
                    "transition"
                ], 
                "skinnable": true
            }, 
            "scrollview-base-ie": {
                "condition": {
                    "trigger": "scrollview-base", 
                    "ua": "ie"
                }, 
                "requires": [
                    "scrollview-base"
                ]
            }, 
            "scrollview-paginator": {
                "path": "scrollview/scrollview-paginator-min.js", 
                "requires": [
                    "plugin"
                ]
            }, 
            "scrollview-scrollbars": {
                "path": "scrollview/scrollview-scrollbars-min.js", 
                "requires": [
                    "plugin"
                ], 
                "skinnable": true
            }
        }, 
        "requires": [
            "scrollview-base", 
            "scrollview-scrollbars"
        ]
    }, 
    "slider": {
        "submodules": {
            "clickable-rail": {
                "requires": [
                    "slider-base"
                ]
            }, 
            "range-slider": {
                "requires": [
                    "slider-base", 
                    "slider-value-range", 
                    "clickable-rail"
                ]
            }, 
            "slider-base": {
                "requires": [
                    "widget", 
                    "dd-constrain", 
                    "substitute"
                ], 
                "skinnable": true
            }, 
            "slider-value-range": {
                "requires": [
                    "slider-base"
                ]
            }
        }
    }, 
    "sortable": {
        "plugins": {
            "sortable-scroll": {
                "requires": [
                    "dd-scroll"
                ]
            }
        }, 
        "requires": [
            "dd-delegate", 
            "dd-drop-plugin", 
            "dd-proxy"
        ]
    }, 
    "stylesheet": {
        "requires": [
            "yui-base"
        ]
    }, 
    "substitute": {
        "optional": [
            "dump"
        ]
    }, 
    "swf": {
        "requires": [
            "event-custom", 
            "node", 
            "swfdetect"
        ]
    }, 
    "swfdetect": {}, 
    "tabview": {
        "plugins": {
            "tabview-base": {
                "requires": [
                    "node-event-delegate", 
                    "classnamemanager", 
                    "skin-sam-tabview"
                ]
            }, 
            "tabview-plugin": {
                "requires": [
                    "tabview-base"
                ]
            }
        }, 
        "requires": [
            "widget", 
            "widget-parent", 
            "widget-child", 
            "tabview-base", 
            "node-pluginhost", 
            "node-focusmanager"
        ], 
        "skinnable": true
    }, 
    "test": {
        "requires": [
            "substitute", 
            "node", 
            "json", 
            "event-simulate"
        ], 
        "skinnable": true
    }, 
    "text": {
        "submodules": {
            "text-accentfold": {
                "requires": [
                    "array-extras", 
                    "text-data-accentfold"
                ]
            }, 
            "text-data-accentfold": {}, 
            "text-data-wordbreak": {}, 
            "text-wordbreak": {
                "requires": [
                    "array-extras", 
                    "text-data-wordbreak"
                ]
            }
        }
    }, 
    "transition": {
        "submodules": {
            "transition-native": {
                "requires": [
                    "node-base"
                ]
            }, 
            "transition-timer": {
                "requires": [
                    "transition-native", 
                    "node-style"
                ]
            }
        }
    }, 
    "uploader": {
        "requires": [
            "event-custom", 
            "node", 
            "base", 
            "swf"
        ]
    }, 
    "widget": {
        "plugins": {
            "widget-base-ie": {
                "condition": {
                    "trigger": "widget-base", 
                    "ua": "ie"
                }, 
                "requires": [
                    "widget-base"
                ]
            }, 
            "widget-child": {
                "requires": [
                    "base-build", 
                    "widget"
                ]
            }, 
            "widget-parent": {
                "requires": [
                    "base-build", 
                    "arraylist", 
                    "widget"
                ]
            }, 
            "widget-position": {
                "requires": [
                    "base-build", 
                    "node-screen", 
                    "widget"
                ]
            }, 
            "widget-position-align": {
                "requires": [
                    "widget-position"
                ]
            }, 
            "widget-position-constrain": {
                "requires": [
                    "widget-position"
                ]
            }, 
            "widget-stack": {
                "requires": [
                    "base-build", 
                    "widget"
                ], 
                "skinnable": true
            }, 
            "widget-stdmod": {
                "requires": [
                    "base-build", 
                    "widget"
                ]
            }
        }, 
        "skinnable": true, 
        "submodules": {
            "widget-base": {
                "requires": [
                    "attribute", 
                    "event-focus", 
                    "base-base", 
                    "base-pluginhost", 
                    "node-base", 
                    "node-style", 
                    "classnamemanager"
                ]
            }, 
            "widget-htmlparser": {
                "requires": [
                    "widget-base"
                ]
            }, 
            "widget-skin": {
                "requires": [
                    "widget-base"
                ]
            }, 
            "widget-uievents": {
                "requires": [
                    "widget-base", 
                    "node-event-delegate"
                ]
            }
        }
    }, 
    "widget-anim": {
        "requires": [
            "plugin", 
            "anim-base", 
            "widget"
        ]
    }, 
    "widget-locale": {
        "path": "widget/widget-locale-min.js", 
        "requires": [
            "widget-base"
        ]
    }, 
    "yql": {
        "requires": [
            "jsonp", 
            "jsonp-url"
        ]
    }, 
    "yui": {
        "submodules": {
            "features": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "get": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "intl-base": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "rls": {
                "requires": [
                    "get", 
                    "features"
                ]
            }, 
            "yui-base": {}, 
            "yui-later": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "yui-log": {
                "requires": [
                    "yui-base"
                ]
            }, 
            "yui-throttle": {
                "requires": [
                    "yui-base"
                ]
            }
        }
    }
};
YUI.Env[Y.version].md5 = 'faf08d27c01d7ab5575789a63b1e36fc';



}, '3.3.0' ,{requires:['loader-base']});
