# This test ensures that changing the preferred email for an account works.
from canonical.isd.tests.sst import mail, config
from sst.actions import *

from identityprovider.tests.acceptance import _helpers as helpers

config.set_base_url_from_env()

# Create an account with multiple emails.
email_address = helpers.register_account(displayname="Fred Jones")
other_email_address = mail.make_unique_test_email_address()
helpers.add_email(other_email_address, verify=True)

# Verify the current preferred email and change it.
go_to('/+edit')
assert_title("Fred Jones's details")
assert_dropdown_value('id_preferred_email', email_address)
set_dropdown_value('id_preferred_email', other_email_address)
click_button(get_element(name='update'))

# Verify that it was changed (we re-load the page to be sure it's not
# some unexpected validation error):
go_to('/+edit')
assert_title("Fred Jones's details")
assert_dropdown_value('id_preferred_email', other_email_address)

# XXX Julien would also like this test to trigger an email being sent so
# we can verify that the email is actually sent to the preferred
# address.
