# 5) Ensure you can login with a non-preferred email address associated to the
# account.  Create new account and verified email
# Add second email and verify
# Logout
# Login with secondary email

from canonical.isd.tests.sst import mail, config
from sst.actions import *

from identityprovider.tests.acceptance import _helpers as helpers

config.set_base_url_from_env()
NAME = 'Some Name'
PASSWORD = 'Admin007'

# Register the primary account.
primary_email_id = mail.make_unique_test_email_address()
helpers.register_account(primary_email_id, NAME, PASSWORD)

# Register a secondary email, but don't verify.
secondary_email_id = mail.make_unique_test_email_address()
vcode = helpers.add_email(secondary_email_id)

# Ensure that we can't yet login with the secondary email.
# XXX 2011-08-08 noodles bug=816622 This currently passes on staging,
# but a bug was introduced in trunk which means it may fail unless it's
# fixed in trunk before the next staging deploy.
helpers.logout()
helpers.login(secondary_email_id, PASSWORD)
fails(assert_title_contains, NAME)

# Now validate the second email and verify that we can login with it.
helpers.login(primary_email_id, PASSWORD)
helpers.try_to_validate_email(secondary_email_id, vcode)
# Confirm that we're sure...
assert_title("Complete email address validation")
click_button(get_element(name='continue'))

helpers.logout()
helpers.login(secondary_email_id, PASSWORD)
wait_for(assert_title_contains, NAME)
