from canonical.isd.tests.sst import mail, config
from sst.actions import *

from identityprovider.tests.acceptance import _helpers as helpers

config.set_base_url_from_env()

go_to('/+new_account')
assert_title('Create account')

email_address = mail.make_unique_test_email_address()
write_textfield('id_displayname', "My Name")
write_textfield('id_email', email_address)
write_textfield('id_password', "Admin007")
write_textfield('id_passwordconfirm', "Admin007")
# Even though the recaptcha field is ignored for our tests, we do
# want to verify that it is on the page.
write_textfield('recaptcha_response_field', 'ignored')
click_button(get_element(name='continue'))

assert_title_contains('Registration mail sent')
assert_text_contains(get_element(id='content'),
    r'just emailed .* \(from .*\) to confirm your address\.', regex=True)

link = helpers.get_verification_link_for_address(email_address)

go_to(link)
assert_title('Complete your registration')
click_button(get_element(css_class='btn'))
wait_for(assert_title, "My Name's details")
