# This test ensures that a new account cannot be created without the
# required fields.
from canonical.isd.tests.sst import mail, config
from sst.actions import *

config.set_base_url_from_env()

email_address = mail.make_unique_test_email_address()

# Without an email the new account cannot be created.
go_to('/+new_account')
write_textfield('id_displayname', "My Name")
write_textfield('id_password', "Admin007")
write_textfield('id_passwordconfirm', "Admin007")
click_button(get_element(name='continue'))
assert_url('/+new_account')

# Without a display name a new account cannot be created.
go_to('/+new_account')
write_textfield('id_email', email_address)
write_textfield('id_password', "Admin007")
write_textfield('id_passwordconfirm', "Admin007")
click_button(get_element(name='continue'))
assert_url('/+new_account')

# Without either password an account cannot be created.
go_to('/+new_account')
write_textfield('id_displayname', "My Name")
write_textfield('id_email', email_address)
write_textfield('id_password', "Admin007")
click_button(get_element(name='continue'))
assert_url('/+new_account')
go_to('/+new_account')
write_textfield('id_displayname', "My Name")
write_textfield('id_email', email_address)
write_textfield('id_passwordconfirm', "Admin007")
click_button(get_element(name='continue'))
assert_url('/+new_account')
