#  password tests: server-side validation
#
# rules:
#   Password must be at least 8 characters long, and must
#   contain at least one number and an upper case letter.


from canonical.isd.tests.sst import mail, config
from sst.actions import *


EMAIL = mail.make_unique_test_email_address()
NAME = 'Some Name'

config.set_base_url_from_env()
go_to('/+new_account')
assert_title('Create account')

write_textfield('id_displayname', NAME)
write_textfield('id_email', EMAIL)
write_textfield('id_password', password)
write_textfield('id_passwordconfirm', password)
click_button(get_element(name='continue'))

assert_url('/+new_account')
assert_text('id_displayname', NAME)
assert_text('id_email', EMAIL)

msg = 'Password must be at least 8 characters long, and must contain at least one number and an upper case letter.'
assert_text(get_element(css_class='formHelp'), msg)
