#  password tests: valid passwords
#
# rules:
#   Password must be at least 8 characters long, and must
#   contain at least one number and an upper case letter.


from canonical.isd.tests.sst import mail, config
from sst.actions import *

from identityprovider.tests.acceptance import _helpers as helpers


NAME = 'Some Name'

email_address = mail.make_unique_test_email_address()

config.set_base_url_from_env()
go_to('/+new_account')
assert_title('Create account')

write_textfield('id_displayname', NAME)
write_textfield('id_email', email_address)
write_textfield('id_password', password)
write_textfield('id_passwordconfirm', password)
click_button(get_element(name='continue'))

assert_title_contains('Registration mail sent')
msg = 'just emailed %s (from noreply@ubuntu.com) to confirm your address.' % email_address
assert (msg in get_element(id='content').text)

vcode = helpers.get_verification_code_for_address(email_address)
