# 2) Check you cannot login with the wrong password, then click the 'Forgot
# Password' and ensure it is prepopulated

from canonical.isd.tests.sst import mail, config
from sst.actions import *

from identityprovider.tests.acceptance import _helpers as helpers


config.set_base_url_from_env()
NAME = 'Some Name'
PASSWORD = 'Admin007'

primary_email_id = mail.make_unique_test_email_address()
secondary_email_id = mail.make_unique_test_email_address()
vcode = helpers.register_account(primary_email_id, NAME, PASSWORD)
helpers.try_to_validate_email(primary_email_id, vcode)

helpers.logout()
helpers.login(primary_email_id, 'BOGUS')
assert_text_contains('content', "Password didn't match")
click_link('forgotpw-link')
wait_for(assert_title, 'Reset password')
assert get_element(id='id_email').get_attribute('value') == primary_email_id
