from urllib import urlencode

from identityprovider.tests.functional.helpers import FunctionalTestCase


class OffsiteFormPostTestCase(FunctionalTestCase):

    def test(self):
        # == Posts to the OpenID endpoint ==
        #
        # The OpenID 2.0 protocol allows authentication requests to be made via
        # form posts.  Such requests appear to be off-site form posts.  We
        # explicitly allow POST requests through to the OpenID endpoint:

        self.browser.mech_browser.set_handle_referer(False)
        self.browser.addHeader("Referer", 'http://relying-party.com/')
        self.browser.handleErrors = True
        self.browser.open('http://openid.launchpad.dev/+openid', data=urlencode({
            'openid.mode': 'no-such-method'}))

        self.assertUrl('http://openid.launchpad.dev/\+openid')

        self.assertContains("no-such-method")
        self.assertContains('mode:error')


