from identityprovider.tests.functional.helpers import FunctionalTestCase


class PrefilledEmailTestCase(FunctionalTestCase):

    def test(self):
        # = Pre-fill e-mail addresses on forms =

        # If the user has attempted a login (and failed), we would like to use
        # the e-mail provided to pre-fill other forms.

        # == "Forgot Password" form ==
        self.browser.open('http://openid.launchpad.dev')
        self.browser.getControl(name='email').value = 'new-user@example.com'
        self.browser.getControl(name='continue').click()
        self.browser.getLink('Forgot your password?').click()

        self.assertEquals(self.browser.getControl(name='email').value,
                          "new-user@example.com")


        # == "New Account" form ==
        self.browser.open('http://openid.launchpad.dev')
        self.browser.getControl(name='email').value = 'new-user@example.com'
        self.browser.getControl(name='continue').click()
        self.browser.getLink('New account').click()

        self.assertEquals(self.browser.getControl(name='email').value,
                          "new-user@example.com")
