from django.conf import settings

from identityprovider.tests.functional.helpers import FunctionalTestCase


class LogoutTestCase(FunctionalTestCase):

    def test(self):
        BRANDS = [('Launchpad', 'launchpad'), ('Ubuntu', 'ubuntu')]
        for brand, templates in BRANDS:
            # First we make sure the site is branded as we need it
            settings.BRAND = brand
            settings.BRANDED_TEMPLATE_DIR = templates
            settings.TEMPLATE_DIRS[1] = '{0}/{1}'.format(
                settings.TEMPLATE_DIRS[0], templates)

            # Then we log in to ensure the branding is still present:
            self.login('test@canonical.com', 'test')
            # and verify the login works
            self.assertContains('Your account', self.browser)

            # Then we log out
            self.logout()
            # and verify the logout works
            self.assertContains('You have been logged out', self.browser)
