from identityprovider.models import Account, EmailAddress, Person
from identityprovider.tests.utils import SSOBaseTestCase


class EmailAddressTestCase(SSOBaseTestCase):
    fixtures = ['test']

    def test_emailaddress_with_account_and_person(self):
        account = Account.objects.get_by_email('mark@example.com')
        email = EmailAddress.objects.get(email='mark@example.com')
        self.assertEqual(email.person, account.person)

    def test_emailaddress_with_account_no_person(self):
        account = Account.objects.get_by_email('test@canonical.com')
        email = EmailAddress.objects.get(email='test@canonical.com')
        self.assertEqual(email.person, account.person)

    def test_emailaddress_without_account(self):
        email = EmailAddress.objects.get(email='support@ubuntu.com')
        expected_person = Person.objects.get(pk=17)
        self.assertEqual(email.person, expected_person)
